# cCompoundModule Class Reference
[Simulation core classes]

`#include <cmodule.h>`

Inheritance diagram for cCompoundModule:

List of all members.

## Detailed Description

Represents a compound module in the simulation.

NOTE: dup() cannot be used. Use moduleType()->create() instead.

## Public Member Functions

Constructors, destructor, assignment.
| cCompoundModule (const cCompoundModule &mod)
| cCompoundModule ()
virtual | ~cCompoundModule ()
cCompoundModule & | operator= (const cCompoundModule &mod)
Redefined cObject functions.
virtual cPolymorphic * | dup () const
virtual std::string | info () const
Redefined cModule functions.
virtual void | scheduleStart (simtime_t t)

## Constructor & Destructor Documentation

cCompoundModule::cCompoundModule | ( | const cCompoundModule & | mod | ) |

| Copy constructor.

cCompoundModule::cCompoundModule | ( |  | ) |

| Constructor. Note that module objects should not be created directly, only via their cModuleType objects. See cModule constructor for more info.

virtual cCompoundModule::~cCompoundModule | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual cPolymorphic* cCompoundModule::dup | ( |  | ) | const`[inline, virtual]`

| Creates and returns an exact copy of this object. See cObject for more details. Reimplemented from cDefaultList.

virtual std::string cCompoundModule::info | ( |  | ) | const`[virtual]`

| Produces a one-line description of object contents into the buffer passed as argument. See cObject for more details. Reimplemented from cDefaultList.

cCompoundModule& cCompoundModule::operator= | ( | const cCompoundModule & | mod | ) |

| Assignment operator. The name member doesn't get copied; see cObject's operator=() for more details.

virtual void cCompoundModule::scheduleStart | ( | simtime_t | t | ) | `[virtual]`

| Calls scheduleStart() recursively for all its (immediate) submodules. This is used with dynamically created modules. Implements cModule.

The documentation for this class was generated from the following file:

- cmodule.h